#include <iostream>
#include <iomanip>

using namespace std;

struct frilancer
{
    int A;
    double P;
};

int main()
{
    int N, m;
    double s=0, smax=0;
    cin>>N;
    frilancer a[N];
    for(int i=0;i<N;i++)
    {
        cin>>a[i].A;
        cin>>a[i].P;
    }
    for(int i=0;i<N-1;i++)
    {
        m=i;
        for (int j=i+1;j<N;j++)
        {
            if(a[j].P<a[m].P)
            {
                m=j;
            }
        }
        swap(a[m],a[i]);
    }
    for(int i=0;i<N;i++)
    {
        for(int j=i;j<N;j++)
        {
            s+=((a[j].A*a[i].P)/100);
        }
        if(s>smax)
        {
            smax=s;
        }
        s=0;
    }

    cout<<fixed<<setprecision(15)<<smax;

    return 0;
}